Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class StringUtilities

    java.lang.Object
      edu.stanford.smi.protege.util.StringUtilities

    public class StringUtilities

extends Object

Some utilities for working with Strings.

Author:
  Ray Fergerson

Constructor Summary
`StringUtilities()`

Method Summary
`static String` | `capitalize(String words)`
`static String` | `commaSeparatedList(Collection c)`
`static String` | `getClassName(Class clas)`
`static String` | `getClassName(Object o)`
`static String` | `getFriendlyName(Frame frame)`
`static String` | `getShortClassName(String classname)`
`static String` | `replace(String text, String macro, String value)`
`static String` | `stripHtmlTags(String html)`
`static String` | `symbolToLabel(String symbol)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtilities

    public StringUtilities()

Method Detail

### capitalize

    public static String capitalize(String words)

### replace

    public static String replace(String text,
                                 String macro,
                                 String value)

### symbolToLabel

    public static String symbolToLabel(String symbol)

### commaSeparatedList

    public static String commaSeparatedList(Collection c)

### getShortClassName

    public static String getShortClassName(String classname)

### getClassName

    public static String getClassName(Class clas)

### getClassName

    public static String getClassName(Object o)

### stripHtmlTags

    public static String stripHtmlTags(String html)

### getFriendlyName

    public static String getFriendlyName(Frame frame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.